﻿namespace CraftBot.Properties
{
    using System;
    using System.CodeDom.Compiler;
    using System.ComponentModel;
    using System.Configuration;
    using System.Diagnostics;
    using System.Runtime.CompilerServices;

    [CompilerGenerated, GeneratedCode("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "8.0.0.0")]
    internal sealed class Settings : ApplicationSettingsBase
    {
        private static Settings defaultInstance = ((Settings) SettingsBase.Synchronized(new Settings()));

        private void SettingChangingEventHandler(object sender, SettingChangingEventArgs e)
        {
        }

        private void SettingsSavingEventHandler(object sender, CancelEventArgs e)
        {
        }

        [UserScopedSetting, DebuggerNonUserCode, DefaultSettingValue("30")]
        public int beerTime
        {
            get
            {
                return (int) this["beerTime"];
            }
            set
            {
                this["beerTime"] = value;
            }
        }

        [DebuggerNonUserCode, UserScopedSetting, DefaultSettingValue("60")]
        public int buffTime
        {
            get
            {
                return (int) this["buffTime"];
            }
            set
            {
                this["buffTime"] = value;
            }
        }

        public static Settings Default
        {
            get
            {
                return defaultInstance;
            }
        }

        [UserScopedSetting, DebuggerNonUserCode, DefaultSettingValue("True")]
        public bool enterSpamMail
        {
            get
            {
                return (bool) this["enterSpamMail"];
            }
            set
            {
                this["enterSpamMail"] = value;
            }
        }

        [DebuggerNonUserCode, DefaultSettingValue("True"), UserScopedSetting]
        public bool enterSpamRares
        {
            get
            {
                return (bool) this["enterSpamRares"];
            }
            set
            {
                this["enterSpamRares"] = value;
            }
        }

        [DefaultSettingValue("True"), DebuggerNonUserCode, UserScopedSetting]
        public bool equipItems
        {
            get
            {
                return (bool) this["equipItems"];
            }
            set
            {
                this["equipItems"] = value;
            }
        }

        [DefaultSettingValue("False"), UserScopedSetting, DebuggerNonUserCode]
        public bool logoffOnMonsterDetect
        {
            get
            {
                return (bool) this["logoffOnMonsterDetect"];
            }
            set
            {
                this["logoffOnMonsterDetect"] = value;
            }
        }

        [UserScopedSetting, DebuggerNonUserCode, DefaultSettingValue("100")]
        public int manaThreshold
        {
            get
            {
                return (int) this["manaThreshold"];
            }
            set
            {
                this["manaThreshold"] = value;
            }
        }

        [DefaultSettingValue("True"), UserScopedSetting, DebuggerNonUserCode]
        public bool rareBroadcastToAllegianceChan
        {
            get
            {
                return (bool) this["rareBroadcastToAllegianceChan"];
            }
            set
            {
                this["rareBroadcastToAllegianceChan"] = value;
            }
        }

        [DebuggerNonUserCode, DefaultSettingValue("True"), UserScopedSetting]
        public bool rareBroadcastToTradeChan
        {
            get
            {
                return (bool) this["rareBroadcastToTradeChan"];
            }
            set
            {
                this["rareBroadcastToTradeChan"] = value;
            }
        }

        [UserScopedSetting, DebuggerNonUserCode, DefaultSettingValue("15")]
        public int rareTime
        {
            get
            {
                return (int) this["rareTime"];
            }
            set
            {
                this["rareTime"] = value;
            }
        }

        [DefaultSettingValue("False"), UserScopedSetting, DebuggerNonUserCode]
        public bool rebuffOnStart
        {
            get
            {
                return (bool) this["rebuffOnStart"];
            }
            set
            {
                this["rebuffOnStart"] = value;
            }
        }

        [UserScopedSetting, DefaultSettingValue("False"), DebuggerNonUserCode]
        public bool recoverMail
        {
            get
            {
                return (bool) this["recoverMail"];
            }
            set
            {
                this["recoverMail"] = value;
            }
        }

        [DefaultSettingValue("2083"), UserScopedSetting, DebuggerNonUserCode]
        public int restamSpell
        {
            get
            {
                return (int) this["restamSpell"];
            }
            set
            {
                this["restamSpell"] = value;
            }
        }

        [DefaultSettingValue("2345"), UserScopedSetting, DebuggerNonUserCode]
        public int s2mSpell
        {
            get
            {
                return (int) this["s2mSpell"];
            }
            set
            {
                this["s2mSpell"] = value;
            }
        }

        [DefaultSettingValue("125"), DebuggerNonUserCode, UserScopedSetting]
        public int staminaThreshold
        {
            get
            {
                return (int) this["staminaThreshold"];
            }
            set
            {
                this["staminaThreshold"] = value;
            }
        }

        [DebuggerNonUserCode, UserScopedSetting, DefaultSettingValue("True")]
        public bool useAlchemy
        {
            get
            {
                return (bool) this["useAlchemy"];
            }
            set
            {
                this["useAlchemy"] = value;
            }
        }

        [DebuggerNonUserCode, UserScopedSetting, DefaultSettingValue("True")]
        public bool useArmorTinkering
        {
            get
            {
                return (bool) this["useArmorTinkering"];
            }
            set
            {
                this["useArmorTinkering"] = value;
            }
        }

        [UserScopedSetting, DefaultSettingValue("False"), DebuggerNonUserCode]
        public bool useArtisanPetsSkillCheck
        {
            get
            {
                return (bool) this["useArtisanPetsSkillCheck"];
            }
            set
            {
                this["useArtisanPetsSkillCheck"] = value;
            }
        }

        [DebuggerNonUserCode, DefaultSettingValue("True"), UserScopedSetting]
        public bool useBeers
        {
            get
            {
                return (bool) this["useBeers"];
            }
            set
            {
                this["useBeers"] = value;
            }
        }

        [DebuggerNonUserCode, DefaultSettingValue("False"), UserScopedSetting]
        public bool useBuffBot
        {
            get
            {
                return (bool) this["useBuffBot"];
            }
            set
            {
                this["useBuffBot"] = value;
            }
        }

        [UserScopedSetting, DefaultSettingValue("True"), DebuggerNonUserCode]
        public bool useBuffRares
        {
            get
            {
                return (bool) this["useBuffRares"];
            }
            set
            {
                this["useBuffRares"] = value;
            }
        }

        [DefaultSettingValue("True"), UserScopedSetting, DebuggerNonUserCode]
        public bool useBuffs
        {
            get
            {
                return (bool) this["useBuffs"];
            }
            set
            {
                this["useBuffs"] = value;
            }
        }

        [UserScopedSetting, DebuggerNonUserCode, DefaultSettingValue("True")]
        public bool useCooking
        {
            get
            {
                return (bool) this["useCooking"];
            }
            set
            {
                this["useCooking"] = value;
            }
        }

        [DebuggerNonUserCode, UserScopedSetting, DefaultSettingValue("True")]
        public bool useFletching
        {
            get
            {
                return (bool) this["useFletching"];
            }
            set
            {
                this["useFletching"] = value;
            }
        }

        [DefaultSettingValue("True"), DebuggerNonUserCode, UserScopedSetting]
        public bool useItemTinerking
        {
            get
            {
                return (bool) this["useItemTinerking"];
            }
            set
            {
                this["useItemTinerking"] = value;
            }
        }

        [DebuggerNonUserCode, UserScopedSetting, DefaultSettingValue("False")]
        public bool useJourneymanPetsSkillChecks
        {
            get
            {
                return (bool) this["useJourneymanPetsSkillChecks"];
            }
            set
            {
                this["useJourneymanPetsSkillChecks"] = value;
            }
        }

        [DebuggerNonUserCode, DefaultSettingValue("True"), UserScopedSetting]
        public bool useLockpick
        {
            get
            {
                return (bool) this["useLockpick"];
            }
            set
            {
                this["useLockpick"] = value;
            }
        }

        [UserScopedSetting, DefaultSettingValue("True"), DebuggerNonUserCode]
        public bool useMagicItemTinkering
        {
            get
            {
                return (bool) this["useMagicItemTinkering"];
            }
            set
            {
                this["useMagicItemTinkering"] = value;
            }
        }

        [UserScopedSetting, DebuggerNonUserCode, DefaultSettingValue("False")]
        public bool useMail
        {
            get
            {
                return (bool) this["useMail"];
            }
            set
            {
                this["useMail"] = value;
            }
        }

        [UserScopedSetting, DefaultSettingValue("False"), DebuggerNonUserCode]
        public bool useMailTimer
        {
            get
            {
                return (bool) this["useMailTimer"];
            }
            set
            {
                this["useMailTimer"] = value;
            }
        }

        [DefaultSettingValue("False"), UserScopedSetting, DebuggerNonUserCode]
        public bool useMajorsForSkillCheck
        {
            get
            {
                return (bool) this["useMajorsForSkillCheck"];
            }
            set
            {
                this["useMajorsForSkillCheck"] = value;
            }
        }

        [UserScopedSetting, DefaultSettingValue("True"), DebuggerNonUserCode]
        public bool useManaStones
        {
            get
            {
                return (bool) this["useManaStones"];
            }
            set
            {
                this["useManaStones"] = value;
            }
        }

        [DebuggerNonUserCode, DefaultSettingValue("False"), UserScopedSetting]
        public bool useMasterPetsSkillCheck
        {
            get
            {
                return (bool) this["useMasterPetsSkillCheck"];
            }
            set
            {
                this["useMasterPetsSkillCheck"] = value;
            }
        }

        [DefaultSettingValue("False"), UserScopedSetting, DebuggerNonUserCode]
        public bool useTier4Rares
        {
            get
            {
                return (bool) this["useTier4Rares"];
            }
            set
            {
                this["useTier4Rares"] = value;
            }
        }

        [DefaultSettingValue("True"), DebuggerNonUserCode, UserScopedSetting]
        public bool useWeaponTinkering
        {
            get
            {
                return (bool) this["useWeaponTinkering"];
            }
            set
            {
                this["useWeaponTinkering"] = value;
            }
        }

        [UserScopedSetting, DefaultSettingValue("False"), DebuggerNonUserCode]
        public bool useWeb
        {
            get
            {
                return (bool) this["useWeb"];
            }
            set
            {
                this["useWeb"] = value;
            }
        }
    }
}

